package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;

/**
 * 用户绑卡记录表
 */
@TableName("user_bank_card")
@ApiModel(value = "UserBankCard对象", description = "用户绑卡记录表")
public class UserBankCard implements Serializable {
	private static final long serialVersionUID = 1L;
    @ApiModelProperty("id ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("用户表id ")
	@TableField(value = "user_id_")
    private Long userId;
    @ApiModelProperty("持卡人姓名 ")
	@TableField(value = "name_")
    @NotBlank(message = "持卡人姓名不能为空")
    private String name;
    @ApiModelProperty("银行卡号 ")
	@TableField(value = "bank_card_")
    @NotBlank(message = "银行卡号不能为空")
    private String bankCard;
    @ApiModelProperty("银行预留手机号 ")
	@TableField(value = "phone_")
    @NotBlank(message = "银行预留手机号不能为空")
    private String phone;
    @ApiModelProperty("开户行编码 ")
	@TableField(value = "bank_code_")
    private String bankCode;
    @ApiModelProperty("开户行 ")
    @TableField(value = "bank_name_")
    private String bankName;
    @ApiModelProperty("是否默认 ")
	@TableField(value = "default_flag_")
    private Boolean defaultFlag;
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    @ApiModelProperty("更新时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
    @ApiModelProperty("逻辑删除 ")
    @TableField(value = "del_flag_")
    @TableLogic
    private Boolean delFlag;
	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    
	public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
    
	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    
	public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }
    
	public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }
    
	public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
    
	public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public Boolean getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Boolean defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public Boolean getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
	public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
/**
 中国人民银行   PBC
 中国进出口银行   EIBC
 中国农业发展银行   ADBC
 国家开发银行   CDB
 中国工商银行   ICBC
 中国建设银行   CCB
 中国农业银行   ABC
 中国民生银行   CMB
 中国光大银行   CEB
 中国邮政储蓄银行   PSBC
 中国银行   BOC
 汇丰银行   HSBC
 交通银行   BCM
 招商银行   CMBC
 中信银行   CCTCB
 兴业银行   CIB
 华夏银行   HXB
 广东发展银行   GDB
 上海浦东发展银行   SPDB
 深圳发展银行   SDB
 北京银行   BOB
 */

    
}